GET /stats/frequency/word/{source_lang}/

oxforddictionaries.com

Summary: Retrieve the frequency of a word derived from a corpus.
Operation ID:
Auth: unknown
Description

This endpoint provides the frequency of a given word. When multiple database records match the query parameters, the returned frequency is the sum of the individual frequencies. For example, if the query parameters are lemma=test, the returned frequency will include the verb "test", the noun "test" and the adjective "test" in all forms (Test, tested, testing, etc.) <br> <br> If you are interested in the frequency of the word "test" but want to exclude other forms (e.g., tested) use the option trueCase=test. Normally, the word "test" will be spelt with a capital letter at the beginning of a sentence. The option trueCase will ignore this and it will count "Test" and "test" as the same token. If you are interested in frequencies of "Test" and "test", use the option wordform=test or wordform=Test. Note that trueCase is not just a lower case of the word as some words are genuinely spelt with a capital letter such as the word "press" in Oxford University Press. <br> <br> Parameters can be provided in PATH, GET or POST (form or json). The parameters in PATH are overriden by parameters in GET, POST and json (in that order). In PATH, individual options are separated by semicolon and values are separated by commas (where multiple values can be used). Examples: * PATH: /lemma=test;lexicalCategory=noun * GET: /?lemma=test&lexicalCategory=noun * POST (json): ```javascript { "lemma": "test", "lexicalCategory": "noun" } ``` <br> One of the options wordform/trueCase/lemma/lexicalCategory has to be provided.

Parameters (8)

app_id (string, header, required, default: 5037d509)

App ID Authentication Parameter

app_key (string, header, required, default: 4dc1aebaa63721f0f8e79a55e2514bc7)

App Key Authentication Parameter

corpus (string, query, optional, default: nmc)

For corpora other than 'nmc' (New Monitor Corpus) please contact api@oxforddictionaries.com

lemma (string, query, optional, default: test)

The lemma of the word to look up (e.g., Book, booked, books all have the lemma "book")

lexicalCategory (string, query, optional)

The lexical category of the word(s) to look up (e.g., noun or verb)

source_lang (string, path, required, default: en)

IANA language code

trueCase (string, query, optional)

The written form of the word to look up with normalised case (Books --> books)

wordform (string, query, optional)

The written form of the word to look up (preserving case e.g., Books vs books)

No probe data for this endpoint yet.